com.ibm.openpages.api.process

## Interface IProcessInfo

-     public interface IProcessInfo

  Represents elements of a long running process.
  Since:
    7.4.0.0
  Category:
    Process

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IProcessInfo>` | `getChildProcesses()` Returns the children processes of the process.
    `IUser` | `getCreatedBy()` Returns the creator (user) of the process.
    `java.util.Date` | `getCreatedOn()` Returns the created time of the process.
    `java.lang.String` | `getDescription()` Returns the description of the process.
    `java.lang.String` | `getName()` Returns the name of the process.
    `Id` | `getParentProcessId()` Returns the creator (user) of the process.
    `int` | `getPercentComplete()` Returns the completed percent of the process.
    `Id` | `getProcessId()` Returns the id of the process.
    `Id` | `getProcessTypeId()` Returns the process type id of the process.
    `ProcessStatus` | `getStatus()` Returns the status of the process.
    `boolean` | `isFinished()` Returns if the process is finished.

- - ### Method Detail

    - #### getProcessId

          Id getProcessId()

      Returns the id of the process.
      Returns:
        the id of the process

    - #### getName

          java.lang.String getName()

      Returns the name of the process.
      Returns:
        the name of the process

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of the process.
      Returns:
        the description of the process

    - #### getProcessTypeId

          Id getProcessTypeId()

      Returns the process type id of the process.
      Returns:
        the process type id of the process

    - #### isFinished

          boolean isFinished()

      Returns if the process is finished.
      Returns:
        true if the process is finished, otherwise false

    - #### getCreatedOn

          java.util.Date getCreatedOn()

      Returns the created time of the process.
      Returns:
        the created time of the process

    - #### getCreatedBy

          IUser getCreatedBy()

      Returns the creator (user) of the process.
      Returns:
        the creator (user) of the process

    - #### getStatus

          ProcessStatus getStatus()

      Returns the status of the process.
      Returns:
        the status of the process

    - #### getParentProcessId

          Id getParentProcessId()

      Returns the creator (user) of the process.
      Returns:
        the creator (user) of the process

    - #### getPercentComplete

          int getPercentComplete()

      Returns the completed percent of the process.
      Returns:
        the completed percent of the process

    - #### getChildProcesses

          java.util.List<IProcessInfo> getChildProcesses()

      Returns the children processes of the process.
      Returns:
        the children processes of the process

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.